package com.jasamedika.medifirst2000.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.dao.ObatGenerikDao;
import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.ObatGenerikService;
import com.jasamedika.medifirst2000.vo.GenerikVO;

@Service("obatGenerikService")
public class ObatGenerikServiceImpl <T> implements ObatGenerikService <T>{
	
	@Autowired
	private ObatGenerikDao obatGenerikDao;

	@Override
	public GenerikVO add(GenerikVO vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public GenerikVO update(GenerikVO vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public Boolean delete(String key) throws JpaSystemException {
		return null;
	}

	@Override
	public GenerikVO findById(String key) throws JpaSystemException {
		return null;
	}

	@Override
	public List<GenerikVO> findAll() throws JpaSystemException {
		return null;
	}

	@Override
	public Map<String, Object> findAllWithPageAndLimitAndSortByAndDirectionParameter(Integer page, Integer limit,
			String sort, String dir) {
		return null;
	}

	@Override
	public List<Object[]> findListObatGenerik(String startDate, String endDate) {
		List<Object[]> list = obatGenerikDao.findListObatGenerik(startDate,endDate);
		return list;
	}

	
}
